//
//  NavViewController.m
//  FirstApp
//
//  Created by maxfong on 12-5-2.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import "NavViewController.h"
#import "NavView.h"

@implementation NavViewController

- (id)init {
    self = [super init];
    if (self) {
        [self setTitle:@"导航标签"];        
    }
    return self;
}

- (void)viewDidLoad
{
    UIButton *navViewBtn = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    navViewBtn.frame = CGRectMake(40.0, 30.0, 240.0, 30.0);
    [navViewBtn setTitle:@"To View1" forState:UIControlStateNormal];
    [navViewBtn addTarget:self action:@selector(pushView:) forControlEvents:UIControlEventTouchUpInside];

    [[self view] addSubview:navViewBtn];
}

- (void)pushView:(id)sender
{
    NavView1 *nv1 = [[NavView1 alloc] init];
    [[self navigationController] pushViewController:nv1 animated:YES];
    [nv1 release];
}
@end