//
//  TextFieldViewController.m
//  FirstApp
//
//  Created by maxfong on 12-5-2.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import "TextFieldViewController.h"

@implementation TextFieldViewController
@synthesize resultLbl;
@synthesize textField;

- (id)init {
    self = [super init];
    if (self) {
        [self setTitle:@"文本展示"];
        
        UIImage *img = [UIImage imageNamed:@""];
        [[self tabBarItem] setImage:img];
    }
    return self;
}

- (void)viewDidLoad
{
    textField = [[UITextField alloc] init];
    textField.frame = CGRectMake(40.0, 50.0, 240.0, 30.0);
    textField.textAlignment = UITextAlignmentLeft;
    [textField setBorderStyle:UITextBorderStyleRoundedRect];
    textField.delegate = self;
    
    UIButton *btnOk = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    btnOk.frame = CGRectMake(180.0, 100.0, 100.0, 30.0);
    [btnOk setTitle:@"OK" forState:UIControlStateNormal];
    [btnOk addTarget:self action:@selector(onClick:) forControlEvents:UIControlEventTouchUpInside];
    
    resultLbl= [[UILabel alloc] init];
    resultLbl.frame = CGRectMake(110.0, 150.0, 100.0, 50.0);
    resultLbl.text = @"0";
    resultLbl.textAlignment = UITextAlignmentCenter;
    resultLbl.font = [UIFont fontWithName:@"" size:10];
    //resultLbl.lineBreakMode = UILineBreakModeWordWrap;
    //resultLbl.numberOfLines = 0;
    
    UISlider *slider = [[UISlider alloc] initWithFrame:CGRectMake(40.0, 200.0, 240, 20)];
    slider.minimumValue = 0;
    slider.maximumValue = 100;
    slider.value = 50;
    [slider addTarget:self action:@selector(sliderValueChange:) forControlEvents:UIControlEventValueChanged];
    
    
    [[self view] addSubview:btnOk];
    [[self view] addSubview:textField];
    [[self view] addSubview:resultLbl];
    [[self view] addSubview:slider];
    [textField release];
    [slider release];
}

#pragma make - event
- (void)onClick:(id)sender
{
    if (textField.text) {
        [resultLbl setText:textField.text];
    }else{
        [resultLbl setText:@"NULL"];
    }
}
- (void)sliderValueChange:(id)sender
{
    UISlider *sli = (UISlider *)sender;
    resultLbl.text = [NSString stringWithFormat:@"%.2f",sli.value];
}

- (BOOL)textFieldShouldReturn:(UITextField *)text
{
    [textField resignFirstResponder];
    return 0;
}

- (void)dealloc
{
    [resultLbl release];
    [super dealloc];
}

@end
