//
//  ButtonViewController.m
//  FirstApp
//
//  Created by maxfong on 12-5-2.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import "ButtonViewController.h"

@implementation ButtonViewController

- (id)init {
    self = [super init];
    if (self) {
        [self setTitle:@"按钮展示"];
        
        UIImage *img = [UIImage imageNamed:@""];
        [[self tabBarItem] setImage:img];
    }
    return self;
}
- (void)alert:(NSString *)str
{
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"您点击了" message:str delegate:self cancelButtonTitle:@"OK" otherButtonTitles:@"Cancel", nil];
    [alert show];
    [alert release];
}
- (void)onClick:(UIButton *)sender
{
    switch ([sender tag]) {
        case 0:
            [self alert:@"左键"];
            break;
        case 1:
            [self alert:@"右键"];
            break;
    }
}

- (void)viewDidLoad
{
    UIButton *leftBtn = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    leftBtn.frame = CGRectMake(40.0, 100.0, 100.0, 30.0);
    [leftBtn setTitle:@"Left" forState:UIControlStateNormal];
    [leftBtn addTarget:self action:@selector(onClick:) forControlEvents:UIControlEventTouchUpInside];
    [leftBtn setTag:0];
    
    UIButton *rightBtn = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    rightBtn.frame = CGRectMake(180.0, 100.0, 100.0, 30.0);
    [rightBtn setTitle:@"Right" forState:UIControlStateNormal];
    [rightBtn addTarget:self action:@selector(onClick:) forControlEvents:UIControlEventTouchUpInside];
    [rightBtn setTag:1];
    
    
    [[self view] addSubview:leftBtn];
    [[self view] addSubview:rightBtn];
}

@end
