//
//  FirstAppAppDelegate.m
//  FirstApp
//
//  Created by maxfong on 12-5-1.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import "FirstAppAppDelegate.h"

#import "ImageViewController.h"
#import "TableViewController.h"
#import "ButtonViewController.h"
#import "TextFieldViewController.h"
#import "NavViewController.h"

@implementation FirstAppAppDelegate

@synthesize window = _window;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    UITabBarController *tabController = [[UITabBarController alloc] init];
    
    ImageViewController *imgTab = [[ImageViewController alloc] init];
    TableViewController *tableTab = [[TableViewController alloc] init];
    ButtonViewController *btnTab = [[ButtonViewController alloc] init];
    TextFieldViewController *textTab = [[TextFieldViewController alloc] init];
    
    NavViewController *navTab = [[NavViewController alloc] init];
    UINavigationController *navigation = [[UINavigationController alloc] initWithRootViewController:navTab];
    
    NSArray *tabArray = [[NSArray alloc] initWithObjects:imgTab, tableTab, btnTab, textTab, navigation, nil];
    
    [navigation release];
    [imgTab release];
    [tableTab release];
    [btnTab release];
    [textTab release];
    [navTab release];
    
    [tabController setViewControllers:tabArray];
    [tabArray release];
    
    [self.window setRootViewController:tabController];
    [tabController release];
    [self.window makeKeyAndVisible];
    return YES;
}

- (void)dealloc
{
    [_window release];
    [super dealloc];
}

@end
